%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:			python-twitter
Summary:		A python wrapper around the Twitter API
Version:		0.8.2
Release:		1%{?dist}
License:		ASL 2.0
Group:			System Environment/Libraries
Source0:		http://python-twitter.googlecode.com/files/%{name}-%{version}.tar.gz
URL:			http://code.google.com/p/python-twitter/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch
BuildRequires:		python-devel, python-setuptools, python-simplejson
BuildRequires:		python-oauth2, python-httplib2
Requires:		python-simplejson, python-httplib2, python-oauth2

%description
This library provides a pure python interface for the Twitter API. Twitter 
(http://twitter.com) provides a service that allows people to connect via the 
web, IM, and SMS. Twitter exposes a web services API 
(http://twitter.com/help/api) and this library is intended to make it even 
easier for python programmers to use. 

%prep
%setup -q

# Scrape out python versioning
for i in examples/twitter-to-xhtml.py examples/tweet.py setup.py twitter.py twitter_test.py; do
	sed -i 's|python2.4|python|g' $i
done


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/twitter.py

%check
# Broken in 0.8.1
# export PYTHONPATH=$RPM_BUILD_ROOT/%{python_sitelib}
# %{__python} setup.py test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{python_sitelib}/twitter.*
%{python_sitelib}/python_twitter-%{version}-py*.egg-info

%changelog
* Mon May 09 2011 Tom Callaway <spot@fedoraproject.org> - 0.8.2-1
- update to 0.8.2

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan  4 2011 Tom Callaway <spot@fedoraproject.org> - 0.8.1-1
- update to 0.8.1

* Fri Oct 22 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8-1
- update to 0.8, fixes code to work with oauth twitter

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-2
- fix files so they do not have hardcoded !#/usr/bin/python2.4

* Thu Jul  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-1
- update to 0.6

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5-2
- Rebuild for Python 2.6

* Mon Oct 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-1
- Initial package for Fedora
